Bug 160396 - after installation with dual-boot system grub doesn't show
after installation with dual-boot system grub doesn't show
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-14 17:21 EDT by Jessie Veltman
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 14:50:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jessie Veltman 2005-06-14 17:21:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6b) Gecko/20031208

Description of problem:
I installed Fedora Core 4 on my system which is currently running Windows XP, intending to make a dual-boot system. I used the default settings concerning grub in the install. When it was done installing all the packages and rebooted, it went straight to Windows. I looked at grub.conf, and it says it is installed on /dev/hda. Windows is installed on hda and Fedora on hdb. I tried using GAG (an alternate bootloader) to boot into Fedora and that was unsuccessful. It told me that the only bootable partition I have is my Windows one. I tried reinstalling Fedora with no luck - the same problem occurred no matter what I did. The problem is not hiddenmenu (I have an LCD and I have been setting Fedora as the default anyway).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 4 as a dual boot system with Windows on the first disk and Fedora on the second (seperate disks)
2. reboot when instructed
  

Actual Results:  the computer booted straight into Windows XP

Expected Results:  the computer should have shown the grub menu

Additional info:
Comment 1 Victor Engmark 2005-06-19 11:21:47 EDT
I've got the same error on i386, with the workstation installation and default
partitioning.
Comment 2 Victor Engmark 2005-06-19 12:29:24 EDT
See bug 160855 for a tip on how to fix this - it worked for me.
Comment 3 Peter Jones 2005-07-06 19:04:11 EDT
Can you show me your /boot/grub/grub.conf and /boot/grub/device.map files, as
well as the contents of /proc/partitions ?
Comment 4 Jessie Veltman 2005-07-11 01:23:28 EDT
After playing around with it some more, I think the problem is actually my
computer. When I install Fedora (and also when I installed the bootloader GAG),
it sees my hard drives like this: hd1, hd2, hd3, hd4, but on reboot it sees it
like this: hd1, hd3, hd4, hd2. it renames them so that they are in the order
1-4, but the actual order of the hard drives is messed up. they are all
physically seperate hard drives. They are all IDE (I have a PCI IDE card) so I'm
not sure why it is doing this. When I boot into GAG, I can see that Fedora is on
the 4th hard drive, and grub shows up, but it tries to boot from the 2nd hard
drive where Fedora was on the install of both Fedora and GAG. I can boot into it
only if I boot off the GAG install CD, install GAG fresh, and boot into Fedora
without rebooting after I install GAG. Obviously, although this works it is a
pain. But since it has the wrong order every time it boots off of anything that
isn't a hard drive, grub always installs incorrectly.
Comment 5 Lúcio Fernando Diniz Cardoso 2005-08-13 14:39:25 EDT
It's a shame that this problem only occurs with FC4, I didn't have this problem
with FC1, FC2 and FC3.
Take a look at FedoraForum.org and see how many people have the same problem.
I want a distro that just works, as FC3!
Comment 6 Nick Blackwell 2005-08-13 21:25:45 EDT
Having the same problem.  I only have two physical drives, one with WinXP (hda),
and one with FC4 (hdb).  Any help would be appreciated.
Comment 7 Jeremy Buchmann 2005-08-26 16:17:22 EDT
I had the same problem with two drives, one SCSI (for Linux) and one IDE (for
Windows) on i386.  I fixed it with some fiddling.

The problem came down to grub using different drive assignments depending on
which partition is was installed in.  When you do a grub-install, it tells you
what drive assignments it has made, and from that I was able to modify my
grub.conf accordingly.  The SCSI drive is set as the boot drive in the BIOS, so
I did a grub-install to /dev/sda.

Still, this is something Anaconda and/or grub need to get right the first time.
 The more I use grub, the more I love lilo.
Comment 8 Ola Zahran 2005-11-20 13:31:29 EST
i have the same problem Xp on the first HD and Fedor 4 on the second HD but 
still booting from from xp not seeing linux. I checked every thing but still 
not working? any idea pls

Comment 9 Alain Gagnon 2005-11-21 14:25:39 EST
The only way i got these two to work together was to make three partitions.One 
small partition at the begining of drive "c"as vfat(FAT 16 or 32) which is 
where xp will ask you to install its boot loader.
then installing XP on second partition as ntfs.
Once this is done installed FC4 on third unformatted patition.

READ IMPORTANT . When doing the install use disk druid to setup where Fedora 
will install. select the major partition that you want linux to install and 
click "Edit" make it your "/" and select how much space you will dedicate to 
linux """keeping in mind that you need to reserve 1.5 times the amount of RAM 
your system has for the SWAP file space""" and choose what file system you want 
it formatted as click "ok". Now write down what this partition is called
(something like /dev/hdc3 or /dev/sda4).
That bit of space you saved for your SWAP select and edit it as SWAP, all space 
and file system you would like.
Back at the disk druid partition manager now select the "C:" VFAT partition you 
created when installing XP (this is where your boot loader files for XP are)and 
select "Edit" make this your "/MNT/OSSHARE" and dont change anything else 
select "OK".
Back at disk druid select "Next". Next is the Boot Loader Config. screen ,after 
deciding if you want to setup a bootloader password, Tick ON "configure advance 
boot loader options" and click Next. At install boot loader record on: select 
the /DEV/"Where you chose to install "/" which is your linux install partition" 
Sector of Boot Partition and click next and finish up your install.

Reboot and restart with the #1 CD, at the installation menu type in "Linux 
Rescue" you will get to the root prompt which is "#" type in this Command 
ddSPACEof=/dev/The linux partition you chose and wrote down 
previouslySPACEif=/mnt/osshare/linux.binSPACEbs=512SPACEcount=1 ENTER KEY.

Now boot into XP as an ADMINISTRATOR in explorer open up your "C:" drive and 
you should find the LINUX.BIN there along with BOOT.INI and NTLDR (if  not 
change your VIEW so as to see protected system files) open the BOOT.INI file in 
notepad and (at the bottom) add line C:\LINUX.BIN="LINUX FC4" or anything else 
you want you distro to show up as on the OSes selection at bootup and SAVE.

Now when you reboot you should have your linux available as a choice selecting 
it will boot you into your distro or XP if that was your selection.  
Comment 10 Christian Iseli 2007-01-22 06:13:52 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 11 Jessie Veltman 2007-01-22 14:47:52 EST
This still happens in FC5 and FC6, but is fixable. The solution is that you have
to know what order your hard drives show up in when booted with the FC install
CD, and what order they show up in when booted into an OS. This requires that
you have an OS installed already so that you can check this. During install, you
must have GRUB installed onto the same disk you are installing Linux on. Also,
there is an option to rearrange the drives as GRUB sees them, and you have to
change them to the order you saw them in your OS. Finish installing FC, and use
an alternate bootloader to get to it if you aren't installing it on the first
boot drive. I use GAG.

Note You need to log in before you can comment on or make changes to this bug.